Bug 220946 - fence_rsa not allowing custom prompts
fence_rsa not allowing custom prompts
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: fence (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Marek Grac
Cluster QE
Depends On:
  Show dependency treegraph
Reported: 2006-12-29 07:57 EST by Paolo Penzo
Modified: 2009-08-31 14:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-08-31 14:14:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
fence_rsa custom prompt patch (349 bytes, application/octet-stream)
2006-12-29 07:57 EST, Paolo Penzo
no flags Details

  None (edit)
Description Paolo Penzo 2006-12-29 07:57:28 EST
The actual fence_rsa agent allows only the stock format of the adapter prompt
(SN#version-number>) causing the agent itself to hang and the fence action to
(continuosly) fail.
Since the adapter prompt is often changed in order to easly identify the server
it is connected, this agent should be able to handle different prompt formats.

The attached patch fixes this.

Version-Release number of selected component (if applicable):
1.32.25-1  (RHCS 4 U4)

How reproducible:
always fencing rsa without a standard prompt.
Comment 1 Paolo Penzo 2006-12-29 07:57:28 EST
Created attachment 144537 [details]
fence_rsa custom prompt patch
Comment 2 Jim Parsons 2007-01-31 15:05:56 EST
Thanks for the patch, Paolo. This fix is in - when I wrote this agent, I didn't
know custom prompts were available for this device. :p

Note You need to log in before you can comment on or make changes to this bug.